package com.dsk.system.service;

import com.dsk.system.domain.business.dto.BusinessSearchDto;
import com.dsk.system.domain.business.vo.BusinessAnalyzeVo;

import java.util.List;
import java.util.Map;

/**
 * @author lcl
 * @create 2023/8/14
 */
public interface IBusinessOverviewService {

    Map<String, Object> statusStatistics(BusinessSearchDto dto);

    List<BusinessAnalyzeVo> amountAnalyze(BusinessSearchDto dto);

    List<BusinessAnalyzeVo> typeAnalyze(BusinessSearchDto dto);

}
